Subject: [IPP] Fwd: [IANA #509046] General Request for Assignment (ipp-registrations)

From: Ira McDonald <[email-masked]>
Date: Wed, 21 Dec 2011 10:05:33 -0500

Hi,

IANA IPP Registry updates completed.

Mike's on vacation until 3 January.  I'm moving south this morning
to Saline (Ann Arbor) for the winter.

Talk to you all in January.

Cheers,
- Ira

Ira McDonald (Musician / Software Architect)
Chair - Linux Foundation Open Printing WG
Secretary - IEEE-ISTO Printer Working Group
Co-Chair - IEEE-ISTO PWG IPP WG
Co-Chair - TCG Trusted Mobility Solutions WG
Chair - TCG Embedded Systems Hardcopy SG
IETF Designated Expert - IPP & Printer MIB
Blue Roof Music/High North Inc
http://sites.google.com/site/blueroofmusic
http://sites.google.com/site/highnorthinc
mailto:[email-masked]
Winter  579 Park Place  Saline, MI  48176  734-944-0094
Summer  PO Box 221  Grand Marais, MI 49839  906-494-2434

---------- Forwarded message ----------
From: Amanda Baber via RT <[email-masked]>
Date: Tue, Dec 20, 2011 at 8:54 PM
Subject: [IANA #509046] General Request for Assignment (ipp-registrations)
To: [email-masked]

Hi Ira,

Sorry about the delay. This update is complete:

http://www.iana.org/assignments/ipp-registrations

thanks,

Amanda Baber
IANA

On Thu Dec 08 17:42:48 2011, [email-masked] wrote:
>
> Contact Name:
> Ira McDonald
>
> Contact Email:
> [email-masked]
>
> Type of Assignment:
> Type of Assignment:
> Permanent registration error corrections in IPP Registry
>
> Copy of revised IANA XML registry is at:
> ftp://ftp.pwg.org/pub/pwg/ipp/IANA-IPP-registrations/
> in the file ipp-registrations-20111208.xml
>
> Copy of patch from previous IANA XML registry is at:
> ftp://ftp.pwg.org/pub/pwg/ipp/IANA-IPP-registrations/
> in the file ipp-registrations-20111208.patch
>
> Changes:
>  - Fixed number-up-supported registration
>  - Fixed attribute group tag registrations
>  - Added missing MSN 1.0 (PWG 5101.1) media definitions
>  - Fixed media-col registrations from PWG 5100.3; was missing all of
> the
>      media-xxx-supported printer attributes, and the keyword values
> did not
>      have the proper attribute/member attribute names.
>  - Fixed output-bin registrations (missing -default and -supported)
>  - Removed the non-existent media-thickness member attribute and
> corrected
>      the spelling of the media-pre-printed member attribute.
>  - Added missing member attribute definitions for media-col-actual Job
>      Description attribute and media-col-database Printer Description
>      attribute.
>  - Added "no-value" to the syntax of the following attributes: media-
> default,
>      orientation-requested-default
>  - Dropped "job-collation-type" enum values 1 (other) and 2 (unknown)
> per
>      RFC Errata ID 2983.
>  - Added "no-value" to the syntax for "date-time-at-completed",
>      "date-time-at-processing", "time-at-completed", and "time-at-
> processing"
>      per RFC 2911 section 4.3.14.x.
>  - Added "unknown" to the syntax for "job-state" per RFC 2911 section
> 4.3.7.
>  - Moved some enum registrations from the keyword section to the enum
> section,
>      and visa-versa.
>  - Added missing syntax for ipp-versions-supported 2.x keywords.
>  - Removed bogus printer-alert and printer-alert-description keyword
> registrations.
>  - Updated (unassigned) operation IDs and status codes that are really
> reserved
>      for uncompleted standards work.
>  - Fixed Attribute Group Tags note (0x3FFFFFFF instead of 0x37777777).
>  - Fixed definition of media-ready (missing 1setOf).
>  - Fixed definition of copies-supported (1setOf rangeOfInteger(1:MAX),
> not integer).
>  - Fixed many instances of media-suppported (3 P's).
>
>
>
> Registry:
> IANA IPP Registry
> http://www.iana.org/assignments/ipp-registrations/ipp-
> registrations.xml
>
> Description:
> Proposed: Mike Sweet (Apple)
> Reviewed: By IETF Designated Experts for IPP Registry
> Approved: 8 December 2011
> By: Ira McDonald (IETF Designated Expert for IPP Registry)
>
> Additional Info:
> Additional typos and omissions recently found by Mike Sweet (Apple,
> joint IETF Designated Expert for IPP Registry)
>

-- 
This message has been scanned for viruses and
dangerous content by MailScanner, and is
believed to be clean.

_______________________________________________
ipp mailing list
[email-masked]
https://www.pwg.org/mailman/listinfo/ipp